﻿using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IClientStorage
	{
		List<ClientViewModel> GetFullList();
		List<ClientViewModel> GetFilteredList(ClientSearchModel model);
		ClientViewModel GetElement(ClientSearchModel model);
		ClientViewModel Insert(ClientBindingModel model);
		ClientViewModel Update(ClientBindingModel model);
		ClientViewModel Delete(ClientBindingModel model);
	}
}
