﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IPurchaseStorage
	{
		List<PurchaseViewModel> GetFullList();
		List<PurchaseViewModel> GetFilteredList(PurchaseSearchModel model);
		PurchaseViewModel GetElement(PurchaseSearchModel model);
		PurchaseViewModel Insert(PurchaseBindingModel model);
		PurchaseViewModel Update(PurchaseBindingModel model);
		PurchaseViewModel Delete(PurchaseBindingModel model);
	}
}
