﻿using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IVisitStorage
	{
		List<VisitViewModel> GetFullList();
		List<VisitViewModel> GetFilteredList(VisitSearchModel model);
		VisitViewModel GetElement(VisitSearchModel model);
		VisitViewModel Insert(VisitBindingModel model);
		VisitViewModel Update(VisitBindingModel model);
		VisitViewModel Delete(VisitBindingModel model);
	}
}
