﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;


namespace BeautySalonContracts.StorageContracts
{
	public interface ICosmeticStorage
	{
		List<CosmeticViewModel> GetFullList();
		List<CosmeticViewModel> GetFilteredList(CosmeticSearchModel model);
		CosmeticViewModel? GetElement(CosmeticSearchModel model);
		CosmeticViewModel? Insert(CosmeticBindingModel model);
		CosmeticViewModel? Update(CosmeticBindingModel model);
		CosmeticViewModel? Delete(CosmeticBindingModel model);

	}
}
