﻿
using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IDistributionStorage
	{
		List<DistributionViewModel> GetFullList();
		List<DistributionViewModel> GetFilteredList(DistributionSearchModel model);
		DistributionViewModel GetElement(DistributionSearchModel model);
		DistributionViewModel Insert(DistributionBindingModel model);
		DistributionViewModel Update(DistributionBindingModel model);
		DistributionViewModel Delete(DistributionBindingModel model);
	}
}
