﻿using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IEmployeeStorage
	{
		List<EmployeeViewModel> GetFullList();
		List<EmployeeViewModel> GetFilteredList(EmployeeSearchModel model);
		EmployeeViewModel GetElement(EmployeeSearchModel model);
		EmployeeViewModel Insert(EmployeeBindingModel model);
		EmployeeViewModel Update(EmployeeBindingModel model);
		EmployeeViewModel Delete(EmployeeBindingModel model);
	}
}
