﻿using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;
namespace BeautySalonContracts.StorageContracts
{
	public interface IProcedureStorage
	{
		List<ProcedureViewModel> GetFullList();
		List<ProcedureViewModel> GetFilteredList(ProcedureSearchModel model);
		ProcedureViewModel GetElement(ProcedureSearchModel model);
		ProcedureViewModel Insert(ProcedureBindingModel model);
		ProcedureViewModel Update(ProcedureBindingModel model);
		ProcedureViewModel Delete(ProcedureBindingModel model);
	}
}
