﻿using BeautySalonContracts.BindingModels;
using BeautySalonContracts.SearchModels;
using BeautySalonContracts.ViewModels;

namespace BeautySalonContracts.StorageContracts
{
	public interface IReceiptStorage
	{
		List<ReceiptViewModel> GetFullList();
		List<ReceiptViewModel> GetFilteredList(ReceiptSearchModel model);
		ReceiptViewModel GetElement(ReceiptSearchModel model);
		ReceiptViewModel Insert(ReceiptBindingModel model);
		ReceiptViewModel Update(ReceiptBindingModel model);
		ReceiptViewModel Delete(ReceiptBindingModel model);
	}
}
